<?php
/**
 * PHPExcel
 *
 * Copyright (c) 2006 - 2015 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2015 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    ##VERSION##, ##DATE##
 */

error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
/** Include PHPExcel */
require_once 'PHPExcel.php';


// Create new PHPExcel object
$objPHPExcel = new PHPExcel();



// create style
$default_border = array(
    'style' => PHPExcel_Style_Border::BORDER_THIN,
    'color' => array('rgb'=>'1006A3')
);
$style_header = array(
    'borders' => array(
        'bottom' => $default_border,
        'left' => $default_border,
        'top' => $default_border,
        'right' => $default_border,
    ),
    'fill' => array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'color' => array('rgb'=>'E1E0F7'),
    ),
    'font' => array(
        'bold' => true,
 'size' => 10,
    )
);


$styleTitle = array(
    'borders' => array(
        'bottom' => $default_border,
        'left' => $default_border,
        'top' => $default_border,
        'right' => $default_border,
    ),
    'fill' => array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'color' => array('rgb'=>'E1E0F7'),
    ),
    'font' => array(
        'bold' => true,
 'size' => 16,
    )
);

$styleTitu = array(
    'font' => array(
        'bold' => true,
 'size' => 12,
    )
);

$style_content = array(
    'borders' => array(
        'bottom' => $default_border,
        'left' => $default_border,
        'top' => $default_border,
        'right' => $default_border,
    ),
    'fill' => array(
        'type' => PHPExcel_Style_Fill::FILL_SOLID,
        'color' => array('rgb'=>'eeeeee'),
    ),
    'font' => array(
 'size' => 12,
    )
);


// Set document properties
$objPHPExcel->getProperties()->setCreator("Maarten Balliauw")
							 ->setLastModifiedBy("Maarten Balliauw")
							 ->setTitle("Office 2007 XLSX Test Document")
							 ->setSubject("Office 2007 XLSX Test Document")
							 ->setDescription("Test document for Office 2007 XLSX, generated using PHP classes.")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("RESULTADOS DE LA EVALUACION DREP 2018");

// Add some data
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', '')
            ->setCellValue('B2', 'GOBIERNO REGIONAL PUNO');
$objPHPExcel->setActiveSheetIndex(0)->mergeCells('B2:F2');
$objPHPExcel->getActiveSheet()->getStyle('B2:F2')->applyFromArray( $styleTitle  );
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('B4', 'DIRECCIÓN REGIONAL DE EDUCACIÓN PUNO');
$objPHPExcel->setActiveSheetIndex(0)->mergeCells('B4:G4');
$objPHPExcel->getActiveSheet()->getStyle('B4:F4')->applyFromArray( $styleTitu  );
$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('A6', 'OBJETIVO EVALUACIÓN: TENER EN CUENTA LOS NIVELES DE APRENDIZAJE.');
$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A6:H6');
$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('A8', 'INSTITUCIÓN EDUCATIVA:');
$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A8:C8');
$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('D8', 'xxxx')
			->setCellValue('A9', 'CURSO: xxxx')
            ->setCellValue('A11', 'Nro.')
            ->setCellValue('B11', 'SECCION.')
            ->setCellValue('C11', 'NOMBRE DEL ESTUDIANTE')
			->setCellValue('D11', 'PUNTAJE')
			->setCellValue('E11', 'NO SE PRESENTO')
			->setCellValue('F11', 'NIVELES DE APRENDIZAJE');
$objPHPExcel->getActiveSheet()->getColumnDimensions('A11:D11');
$objPHPExcel->getActiveSheet()->getStyle('A11:F11')->applyFromArray( $style_header );
			
// Miscellaneous glyphs, UTF-8
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A12', '1')
            ->setCellValue('B12', 'A')
			->setCellValue('C12', 'JUAN');

// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('DREP-EVALUA');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="DREP-EVALUA.xlsx"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;

?>